@thisall

Как установить зависимость symfony, когда стоит пакет symfony/symfony?

У меня в проекте стоит пакет symfony/symfony и я хочу поставить пакет для работы с кроликом symfony/messenger, но проблема в том, что в composer.lock в описание symfony/symfony в поле replace написано "symfony/messenger": "self.version". А когда я пытаюсь поставить symfony/messenger :^4.4 он в composer.lock ничего не записывает, а в composer.json пишет, что зависимость стоит.

А если использовать начать symfony/messenger, то классы присутствуют, а вот в сервисах ничего нет
  • Вопрос задан
  • 44 просмотра
Решения вопроса 1
BoShurik
@BoShurik Куратор тега Symfony
Symfony developer
Для full-stack версии его надо включить отдельно:

framework:
    messenger:
        enabled: true
Ответ написан
Комментировать
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы